Bug 673545 - Review Request: python26-virtualenv - Tool to create isolated Python environments
Summary: Review Request: python26-virtualenv - Tool to create isolated Python environm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-28 16:50 UTC by Mark McKinstry
Modified: 2011-03-20 18:53 UTC (History)
3 users (show)

Fixed In Version: python26-virtualenv-1.5.1-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-20 18:53:19 UTC
Type: ---
steve.traylen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mark McKinstry 2011-01-28 16:50:03 UTC
Note to reviewer: This package provides a copy of Fedora's python-virtualenv
package built against Python 2.6 so it works on el5. el6 and Fedora will remain
unaffected since they can use existing packages.

Spec URL: http://mmckinst.fedorapeople.org/packages/python26-virtualenv/python26-virtualenv.spec
SRPM URL: http://mmckinst.fedorapeople.org/packages/python26-virtualenv/python26-virtualenv-1.5.1-2.el5.src.rpm
Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=2747964
Description: 
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.

Comment 1 Steve Traylen 2011-02-07 21:06:31 UTC
- Package meets naming and packaging guidelines
Yes python26-virtualenv, source bundle called virtualenv.
- Spec file matches base package name.
Yes
- Spec has consistant macro usage.
NO $RPM_BUILD_ROOT vs %{buildroot}
- Meets Packaging Guidelines.
YES.
- License
MIT.
- License field in spec matches
It does
- License file included in package
YES docs/license.txt
- Spec in American English
YES , indeed it is.
- Spec is legible.
Yes it is.
- Sources match upstream md5sum:
$ md5sum virtualenv-1.5.1.tar.gz ../SOURCES/virtualenv-1.5.1.tar.gz 
3daa1f449d5d2ee03099484cecb1c2b7  virtualenv-1.5.1.tar.gz
3daa1f449d5d2ee03099484cecb1c2b7  ../SOURCES/virtualenv-1.5.1.tar.gz
- Package needs ExcludeArch
YES builds in koji.
- BuildRequires correct
YES
- Spec handles locales/find_lang
NONE
- Package is relocatable and has a reason to be.
NONE
- Package has %defattr and permissions on files is good.
YES
- Package has a correct %clean section.
YES
- Package has correct buildroo
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Package is code or permissible content.
- Doc subpackage needed/used.
Not needd
- Packages %doc files don't affect runtime.
Fine
- Headers/static libs in -devel subpackage.
No devel.
- Spec has needed ldconfig in post and postun
None
- .pc files in -devel subpackage/requires pkgconfig
None
- .so files in -devel subpackage.
None
- -devel package Requires: %{name} = %{version}-%{release}
None
- .la files are removed.

- Package is a GUI app and has a .desktop file
None
- Package compiles and builds on at least one arch.
Koji
- Package has no duplicate files in %files.
None
- Package doesn't own any directories other packages own.
No.
- Package owns all the directories it creates.

rpmlint:
$ rpmlint python26-virtualenv.spec  /var/lib/mock/epel-5-x86_64/result/python26-virtualenv-1.5.1-2.el5.*
sh: /usr/bin/python2.6: No such file or directory
python26-virtualenv.noarch: E: devel-dependency python26-devel
python26-virtualenv.noarch: W: spelling-error %description -l en_US workingenv -> workingmen, workingwomen, workingman
python26-virtualenv.noarch: W: no-manual-page-for-binary virtualenv-2.6
python26-virtualenv.src: W: spelling-error %description -l en_US workingenv -> workingmen, workingwomen, workingman
sh: /usr/bin/python2.6: No such file or directory
2 packages and 1 specfiles checked; 1 errors, 3 warnings.






Problems:
1) $RPM_BUILD_ROOT and %{buildroot} present.

2) I find all the 
sh: /usr/bin/python2.6: No such file or directory

given the .spec file is fairly hardcoded to python2.6 just hardcode the line containing this.

Comment 2 Mark McKinstry 2011-02-25 01:20:44 UTC
Thank you for the review Steve.

> Problems:
> 1) $RPM_BUILD_ROOT and %{buildroot} present.

Fixed.

> 2) I find all the 
> sh: /usr/bin/python2.6: No such file or directory
> 
> given the .spec file is fairly hardcoded to python2.6 just hardcode the line
> containing this.

Fixed.

SPEC: http://mmckinst.fedorapeople.org/packages/python26-virtualenv/python26-virtualenv.spec
SRPM: http://mmckinst.fedorapeople.org/packages/python26-virtualenv/python26-virtualenv-1.5.1-3.el5.src.rpm
Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=2864693

Comment 3 Steve Traylen 2011-03-03 18:47:54 UTC
Looks good.

APPROVED

Comment 4 Mark McKinstry 2011-03-03 23:48:38 UTC
New Package SCM Request
=======================
Package Name: python26-virtualenv
Short Description: Tool to create isolated Python environments
Owners: mmckinst
Branches: el5

Comment 5 Jason Tibbitts 2011-03-04 13:09:47 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-03-04 15:05:28 UTC
Package python26-virtualenv-1.5.1-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python26-virtualenv-1.5.1-2.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/python26-virtualenv-1.5.1-2.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-04 20:26:20 UTC
python26-virtualenv-1.5.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-virtualenv'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-virtualenv-1.5.1-2.el5

Comment 8 Fedora Update System 2011-03-05 15:39:38 UTC
python26-virtualenv-1.5.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-virtualenv-1.5.1-3.el5

Comment 9 Fedora Update System 2011-03-20 18:53:14 UTC
python26-virtualenv-1.5.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.